/*
* Copyright (C) 2023 Associated Universities, Inc. Washington DC, USA.
*
* This file is part of NRAO Workspaces.
*
* Workspaces is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* Workspaces is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
 */
package main

import (
	"flag"
	"log"
	"os"
	"ssa/gmva_ingester/pkg/copy"
)

func main() {
	var gmvaDir string

	flag.StringVar(&gmvaDir, "dir", "", "Name of the GMVA observation directory (just the name, not the full path) to be ingested")
	flag.Parse()

	if gmvaDir == "" {
		log.Println("GMVA directory argument required!")
		flag.Usage()
		os.Exit(1)
	}

	copy.CopyGmva(gmvaDir)
}
